import '../../../../core/errors/result.dart';
import '../repositories/settings_repository.dart';

class GetSettingsUseCase {
  final SettingsRepository _repository;

  GetSettingsUseCase(this._repository);

  Future<Result<String?>> execute() async {
    final language = await _repository.getLanguageCode();
    return Result.success(language);
  }
}
